Loading...
Searching...
No Matches
integrate.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_decimator.h>`
`#include <cstdint>`
Include dependency graph for integrate.h:

Go to the source code of this file.

## Classes

class | gr::blocks::integrate< T >
| Integrate successive samples and decimate. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef integrate< std::int16_t > | gr::blocks::integrate_ss
typedef integrate< std::int32_t > | gr::blocks::integrate_ii
typedef integrate< float > | gr::blocks::integrate_ff
typedef integrate< gr_complex > | gr::blocks::integrate_cc